/* Copyright 2000 STMicroelectronics. Free for use under the Gnu Public License */

#ifndef __VVLDEFS_H__
#define __VVLDEFS_H__ 

#define		TRUE	1
#define		FALSE	0


typedef unsigned char byte;	
typedef signed char sbyte;
typedef	unsigned int word;  
typedef	unsigned long dword;	


#ifndef _MSC_VER

/* ie we're being compiled by C51 */
typedef	bit	boolean;

#define 	BYTE    byte
#define 	WORD    word
#define 	DWORD   dword
#define 	BOOL	boolean
#define 	UINT	unsigned int

#define __huge

#else

/* ie we're being compiled by Microsoft C */
#define code
#define data
#define idata
#define pdata

typedef 	byte	boolean;

#ifndef _WINDOWS
#define 	BYTE    byte
#define 	WORD    word
#define 	DWORD   dword
#define 	BOOL	boolean
#define 	UINT	unsigned int
#endif

DWORD GetTime( void );


#ifdef _WINDOWS
#define CLOCKS_PER_SEC	1000UL
#define GetTime timeGetTime
#else
#define GetTime  clock
#endif


#endif

#ifndef HIBYTE
#define HIBYTE(a)	((byte)(((unsigned short)(a) >> 8) & 0xFF))
#endif

#ifndef LOBYTE
#define LOBYTE(a)	((byte)((a) & 0xFF)) 
#endif

#ifndef	LOWORD
#define LOWORD(a)           ((WORD)(DWORD)(a))
#endif

#ifndef	HIWORD
#define HIWORD(a)           ((WORD)((((DWORD)(a)) >> 16) & 0xFFFF))
#endif

#ifndef	LPBYTE
#define LPBYTE BYTE *
#endif

#ifdef _WINDOWS
#define printf(param)
#endif


#endif	/* __VVLDEFS_H__ */
