/* Copyright 2000 STMicroelectronics. Free for use under the Gnu Public License */

#include <windows.h>
#include <windowsx.h>

#include "win_vect.h"

#define DOS_GET_INT_VECTOR          0x35
#define DOS_SET_INT_VECTOR          0x25


void (__cdecl __interrupt __far * __cdecl DosGetIntVector( BYTE vector ))()
{
   WORD  selHandler, offHandler;

   _asm
   {
      mov  al, vector
      mov  ah, DOS_GET_INT_VECTOR
      push es
      int  21h
      mov  offHandler,bx
      mov  selHandler,es
      pop  es
   }
   return( MAKELP( selHandler, offHandler ) );
}


void DosSetIntVector( BYTE vector,  void(__cdecl __interrupt __far *pHandler)() )
{
   WORD  offHandler, selHandler;

   selHandler = SELECTOROF( pHandler );
   offHandler = OFFSETOF( pHandler );

  _asm
   {
      mov  al, vector
      mov  ah, DOS_SET_INT_VECTOR
      mov  dx, offHandler
      mov  bx, selHandler
      push ds
      mov  ds, bx
      int  21h
      pop  ds
   }
}
