/* Copyright 2000 STMicroelectronics. Free for use under the Gnu Public License */
/* OEM.H
   26-03-97
   oem titles, version numbers and other icky bits

   If adding in a new OEM, make sure the same layout is kept.
   Comments and blank lines are ignored.
   defmake assumes that a product description is 2 lines after the OEM
   string if in debugging mode, and 4 if in release mode (as noted above
   comments and blank lines are ignored in this count). It does restrict the
   items that can be stored against an OEM. Hopefully this will change

   Each description needs an explicit \0 as the resource compiler doesn't
   add one. defmake removes the sequence before writing the string */

#include "oemppc.h"

#define DRV_VERSION     "1-46-00\0"
#define DRV_RESVERSION  1, 46, 0, 0  /* ver hi, ver lo, ignored, ignored */

