/* Copyright 2000 STMicroelectronics. Free for use under the Gnu Public License */
/* TRACEMSG.H
   21-05-97
   defs'n'stuff for message tracing
*/
                     
#define TRC_INIT    1                     
#define TRC_MSG     2
#define TRC_DESTROY 3

#define TRC_DLGMSG  (WM_USER + 200)   /* show message in dialog box */
#define TRC_DLGSAVE (WM_USER + 201)   /* save messages to file */

#define TRC_BUFSIZE 512

#define IDM_PAUSE   100

/* shorthand macro to check if the tracing bit is set */
#define TMSET() (dbg_is_bit_set (DBG_TRACEMSG))

#define IMSET() (dbg_is_bit_set (DBG_INITPPC))


tracemsg (int actn, ...) ;
LPSTR trc_fourcc (DWORD comp) ;
BOOL FAR PASCAL _loadds DlgTrace (HWND hdlg, UINT msg, WPARAM wparam,
                                  LPARAM lparam) ;
