/* Copyright 2000 STMicroelectronics. Free for use under the Gnu Public License */


/* Public functions */
DWORD InStreamInit( LPVIDEO_STREAM_INIT_PARMS lpStreamInitParms );
DWORD InStreamFini( void );

DWORD InStreamPrepareBuffer( LPVIDEOHDR lpVHdr );
DWORD InStreamUnprepareBuffer( LPVIDEOHDR lpVHdr );

DWORD InStreamAddBuffer( LPVIDEOHDR lpVHdr );
DWORD InStreamReset( void );

DWORD InStreamStart( void );
DWORD InStreamStop( void );

DWORD InStreamGetPos( LPMMTIME lpMMTime, DWORD dwSize);
DWORD InStreamError(LPDWORD lpdwErrorType, LPDWORD lpdwFramesSkipped);



/* Private functions */
void videoCallback(WORD msg, DWORD dw1);

void QueHeader( LPVIDEOHDR lpVHdr );
LPVIDEOHDR DeQueHeader();

void FAR PASCAL AttemptCaptureISR( UINT TimerID, UINT Msg, DWORD dwUser, DWORD dw1, DWORD dw2 );
 
BOOL StartCaptureISR( WORD Delay );
void KillCaptureISR(); 
