/* Copyright 2000 STMicroelectronics. Free for use under the Gnu Public License */
//{{NO_DEPENDENCIES}}
// App Studio generated include file.
// Used by VVLCAP.RC
//

#define DlgAbout                        101 
#define DLG_TRACE                       102

#define VideoCaptureSettings            103
#define AdvCapture						104
#define VideoFormat                     105

#define VideoCaptureSettings_French     106
#define AdvCapture_French	 			107
#define VideoFormat_French              108

#define VideoCaptureSettings_German     109
#define AdvCapture_German	 			110
#define VideoFormat_German              111

#define VideoCaptureSettings_Spanish    112
#define AdvCapture_Spanish	 			113
#define VideoFormat_Spanish             114

#define VideoCaptureSettings_Italian    115
#define AdvCapture_Italian	 			116
#define VideoFormat_Italian             117

#define VideoCaptureSettings_Portuguese 118
#define AdvCapture_Portuguese			119
#define VideoFormat_Portuguese          120


/*-----------------------------------------------------------------*/
/*                   video capture settings controls               */
/*-----------------------------------------------------------------*/

#define IDC_BRIGHTNESS                  1000
#define IDC_BRIGHTNESSVAL               1001
#define IDC_COLOUR                      1002
#define IDC_COLOURVAL                   1003
#define IDC_CONTRAST                    1004
#define IDC_CONTRASTVAL                 1005
/* color or colour, depending on country */
#define IDC_COLOURTEXT                  1006

/* image quality control. Radio button group */
#define IDC_VIDCAP                      1008  /* optimise for video capture */
#define IDC_VIDCONF                     1009  /* optimise for video conference */

#define IDC_VIDCOMPSB                   1010  /* compression scroll bar */
#define IDC_VIDCOMPSBVAL                1011  /* edit box */

#define IDC_RESETDEF                    1014  /* reset controls to defaults */
#define IDC_ADVANCED                    1015  /* advanced settings dialog */


/*-----------------------------------------------------------------*/
/*                         Advanced settings                       */
/*-----------------------------------------------------------------*/

//#define IDC_NODIFF                    1007 
//#define IDC_DECIMATION                1016  /* sharpen on/off */

#define IDC_AUTOLIGHTING                1017

#define ITC_AUTOLIGHTING				0001

#define IDC_30FPS                       1150
#define IDC_15FPS                       1151
#define IDC_7P5FPS                      1152

/* these two rates were removed at 0-11 */
#define IDC_25FPS                       1153
#define IDC_12P5FPS                     1154
   
#define IDC_FLICKER                     1155
#define IDC_CENTREWEIGHT                1157  /* centre weighted AEC */

/* pan/tilt settings */
#define IDC_PANTILT                     1158  /* user defined control */
#define IDC_PANTILTGRP                  1159  /* group box */
#define IDC_ZOOM                        1160

#define IDC_50HZ                        1161
#define IDC_60HZ                        1162

/*-----------------------------------------------------------------*/
/*                           Video format controls                 */
/*-----------------------------------------------------------------*/

/* image sizes. These are a single radio button group, and must be 
   numbered consecutively */
#define IDC_SIZE352                     1050
#define IDC_SIZE320                     1051
#define IDC_SIZE176                     1052
#define IDC_SIZE160                     1053
#define IDC_SIZE704                     1054
#define IDC_SIZE640                     1055
                  

/* image format. Radio button group */                  
#define IDC_FORM24                      1057
#define IDC_FORM16                      1058
#define IDC_FORM8                       1059
#define IDC_FORM_I420                   1060

#define IDC_FORM_CYUV                   1061
#define IDC_SIZE320V                    1062

#define IDC_SIZEX                       1063  /* edit box */
#define IDC_SIZEY                       1064  /* edit box */
#define IDC_SIZE112                     1065

#define IDC_LABEL_CIF                   1066
#define IDC_LABEL_SIF                   1067
#define IDC_LABEL_4CIF                  1068
#define IDC_LABEL_VGA                   1069

/*-----------------------------------------------------------------*/
/*                   settings (about) dialog                       */
/*-----------------------------------------------------------------*/

#define IDC_RETRIEVE                    1100
#define IDC_STR_CAMERATYPE              1101
#define IDC_STR_VERSION                 1102
#define IDC_STR_DATEBUILD               1103
#define IDC_STR_CAMPORT                 1104
#define IDC_STR_LANGUAGE                1105
/*#define IDC_VISIONICON                  1106 */
#define IDC_VERSION                     1107
#define IDC_CAMERATYPE                  1108
#define IDC_DATEBUILD                   1109
#define IDC_CAMPORT                     1110
#define IDC_LANGUAGE                    1111
/*#define IDDEFECT                        1112*/
#define IDC_STR_FWARE                   1113
#define IDC_FWARE                       1114
#define IDC_PORT_DISABLE                1115
#define IDC_STR_TRANSFERMODE            1116
#define IDC_TRANSFERMODE                1117
#define IDC_USE_IRQ                     1118



#define IDC_STATIC                      -1

/*-----------------------------------------------------------------*/
/*                        trace dialog box ids                     */
/*-----------------------------------------------------------------*/

#define IDD_TRACELB                     1200

// Next default values for new objects
// 
#ifdef APSTUDIO_INVOKED
#ifndef APSTUDIO_READONLY_SYMBOLS

#define _APS_NEXT_RESOURCE_VALUE        106
#define _APS_NEXT_COMMAND_VALUE         40001
#define _APS_NEXT_CONTROL_VALUE         1016
#define _APS_NEXT_SYMED_VALUE           101
#endif
#endif

/*-----------------------------------------------------------------*/
/*                   string language settings                      */
/*-----------------------------------------------------------------*/

#define LANG_ENGLISH    2000
#define LANG_FRENCH     2200
#define LANG_ITALIAN    2400
#define LANG_GERMAN     2600
#define LANG_SPANISH    2800

#define CAP_SETTINGS       1
#define CAP_BRIGHT         2
#define CAP_CONTRAST       3
#define CAP_COLOUR         4
