/* Copyright 2000 STMicroelectronics. Free for use under the Gnu Public License */
 

#define DEFAULT_INI_FILE        "vvlcpia.ini"


#define CAP_DRIVER_VERSION          0x0050

#define FRAME_INTERRUPT            1 // 0 = Field interrupts, 1 = Frame 

#define MAX_CAPTURE_CHANNELS       1
#define MAX_IN_CHANNELS            1

#define MAX_ERR_STRING          250     // max length of string table errors



/***************************************************************************

    typedefs

 **************************************************************************/

typedef struct {
   DWORD      fccType;              // Capture 'vcap' or codec 'vidc'
   DWORD      dwOpenType;           // Channel type IN, OUT, EXTERNAL_IN...
   DWORD      dwOpenFlags;          // Flags passed during channel open
   LPVIDEOHDR lpVHdr;               // Pointer to first buffer header
   DWORD      dwError;              // Last error for this stream
} CHANNEL, *PCHANNEL; 

typedef HLOCAL HCHANNEL;


/***************************************************************************
    globals
***************************************************************************/



/****************************************************************************

       strings

 ***************************************************************************/
#define BCODE


#define IDS_ERRBADPORT      1           // boot time error message
#define IDS_ERRBADCONFIG    2           // config time error message

//
//  Product Description strings.  For this driver, all descriptions are
//  the same..
//
#define IDS_VCAPPRODUCT   16
#define IDS_VCAPIN    IDS_VCAPPRODUCT
#define IDS_VCAPOUT   IDS_VCAPPRODUCT



